Name: sugar-network-hub
Version: 0.9

Release: 4.1
Group: Development/Tools/Other
Summary: Sugar Network Contributor Hub
License: GPLv3+
Url: http://wiki.sugarlabs.org/go/Platform_Team/Sugar_Network

Source: sugar-network-hub-0.9.tar.gz
Source1: sweet.tar.gz





BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
Sugar Network Contributor Hub

%prep
%setup -n sugar-network-hub-0.9

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

install -m 0755 -d %{buildroot}/.dest/%{_datadir}/sugar-network && cp -r build %{buildroot}/.dest/%{_datadir}/sugar-network/hub && true
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> sugar-network-hub.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sugar-network-hub
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sugar-network-hub/pydirs)
echo /opt/sweets/sugar-network-hub/pydirs >> sugar-network-hub.files

%post
test -e /opt/sweets/sugar-network-hub/pydirs && for i in `cat /opt/sweets/sugar-network-hub/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sugar-network-hub/pydirs && for i in `cat /opt/sweets/sugar-network-hub/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sugar-network-hub.files

%changelog
